Skip to main content
POST
/
v1
/
sandbox
/
query
LoadConnectorData
curl --request POST \
  --url https://app.textql.com/v1/sandbox/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Connect-Protocol-Version: <connect-protocol-version>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sandboxId": "<string>",
  "connectorId": 123,
  "query": "<string>",
  "dataframeName": "<string>"
}
'
{
  "dataframeName": "<string>",
  "numRows": 123,
  "numCols": 123,
  "preview": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Connect-Protocol-Version
enum<number>
required

Define the version of the Connect protocol

Available options:
1
Connect-Timeout-Ms
number

Define the timeout, in ms

Body

application/json
sandboxId
string
required
connectorId
integer<int32>
required
query
string
required

SQL query to execute against the connector

dataframeName
string | null

Optional name for the resulting DataFrame. Auto-generated if not provided.

Response

Success

dataframeName
string
numRows
integer<int64>
numCols
integer<int64>
preview
string

Text preview of the loaded data